Create Subscription

Create Subscription

Creates a new subscription.

Request
URI
POST
https://{server}/hybridity/api/vnffm/v1/subscriptions
COPY
Request Body

null

FmSubscriptionRequest of type(s) application/json
Required
{
    "filter": "FmNotificationsFilter.yaml Object",
    "callbackUri": "string",
    "authentication": "SubscriptionAuthentication.yaml Object",
    "warnings": [
        "warning.yaml Object"
    ],
    "errors": [
        "error.yaml Object"
    ]
}
filter
Optional

filter

string
callbackUri
Optional

callbackUri

authentication
Optional

authentication

warnings
Optional

warnings

array of error.yaml
errors
Optional

errors

Authentication
This operation uses the following authentication methods.
Responses
201

Accepted

Returns FmSubscription of type(s) application/json
{
    "id": "string",
    "filter": "FmNotificationsFilter.yaml Object",
    "callbackUri": "string",
    "_links": {
        "self": "string"
    },
    "warnings": [
        "warning.yaml Object"
    ],
    "errors": [
        "error.yaml Object"
    ]
}
string
id
Optional

id

filter
Optional

filter

string
callbackUri
Optional

callbackUri

_links
Optional

_links

warnings
Optional

warnings

array of error.yaml
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        "error.yaml Object"
    ]
}
array of error.yaml
errors
Optional

errors